env.h File Reference
`#include <log4cplus/config.hxx>`
`#include <vector>`
`#include <log4cplus/tstring.h>`
`#include <locale>`
`#include <log4cplus/config/windowsh-inc.h>`
Include dependency graph for env.h:

Go to the source code of this file.

## Namespaces

namespace | log4cplus
namespace | log4cplus::internal

## Functions

bool | log4cplus::internal::get_env_var (tstring &value, tstring const &name)
| Get environment variable value.
std::locale | log4cplus::internal::get_locale_by_name (tstring const &locale_name)
| Get locale.
bool | log4cplus::internal::parse_bool (bool &val, tstring const &str)
| Parse a string as a boolean value.
bool | log4cplus::internal::split_path (std::vector< tstring > &components, std::size_t &special, tstring const &path)
| Parse a path into path components.
void | log4cplus::internal::make_dirs (tstring const &file_path)
| Makes directories leading to file.
DWORD | log4cplus::internal::get_process_id ()